> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/metrics/runs-timeseries

Get time-series data for workflow runs (total, success, failure)

` GET /v1/metrics/runs-timeseries `

Get time-series data for workflow runs (total, success, failure)

## Parameters

### ` from ` (query, required)

Start timestamp (Unix milliseconds)

- ` value `: type ` integer `

### ` to ` (query, required)

End timestamp (Unix milliseconds)

- ` value `: type ` integer `

### ` granularity ` (query, required)

Granularity (hourly or daily)

- ` value `: type ` string `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

    - example: ` 200 `

  - ` data `: type ` object `

    - ` data `: type ` array ` — Time-series data points

      - ` array item `: type ` object `

        - ` bucketStart `: type ` string `

        - ` failure `: type ` integer `

        - ` partial `: type ` integer `

        - ` success `: type ` integer `

        - ` total `: type ` integer `

    - ` granularity `: type ` string ` — "hourly" or "daily"

  - ` message `: type ` string `

    - example: ` "success" `

  - ` requestId `: type ` string `

    - example: ` "abc-123" `

### ` 400 ` — Bad Request

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

### ` 500 ` — Internal Server Error

Content type: ` application/json `

- ` value `: type ` object `

  - ` code `: type ` integer `

  - ` details `: type ` array `

    - ` array item `: type ` unknown `

  - ` message `: type ` string `

  - ` requestId `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://api.example.com/v1/metrics/runs-timeseries?from=0&to=0&granularity=string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://api.example.com/v1/metrics/runs-timeseries?from=0&to=0&granularity=string', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://api.example.com/v1/metrics/runs-timeseries?from=0&to=0&granularity=string', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://api.example.com/v1/metrics/runs-timeseries?from=0&to=0&granularity=string", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```